package ch.dieseite.sqlite3.jdbc;

import java.sql.ResultSetMetaData;
import java.sql.SQLException;

public class ResultSetMetadataImpl implements ResultSetMetaData {
	private boolean debug = true; //provoziere exceptions was nicht implementiert ist
	
	private String[] colNames;
	
	public ResultSetMetadataImpl(String[] colnames)
	{
		colNames = colnames;
	}
	
	@Override
	public int getColumnCount() throws SQLException {
		return colNames.length;
	}
	
	@Override
	public String getColumnName(int arg0) throws SQLException {
		return colNames[arg0-1];
	}
	
	//not implemented methods
	@Override
	public boolean isWrapperFor(Class<?> iface) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public <T> T unwrap(Class<T> iface) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public String getCatalogName(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public String getColumnClassName(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public int getColumnDisplaySize(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return 0;
	}

	@Override
	public String getColumnLabel(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public int getColumnType(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return 0;
	}

	@Override
	public String getColumnTypeName(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public int getPrecision(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return 0;
	}

	@Override
	public int getScale(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return 0;
	}

	@Override
	public String getSchemaName(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public String getTableName(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return null;
	}

	@Override
	public boolean isAutoIncrement(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public boolean isCaseSensitive(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public boolean isCurrency(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public boolean isDefinitelyWritable(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public int isNullable(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return 0;
	}

	@Override
	public boolean isReadOnly(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public boolean isSearchable(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public boolean isSigned(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

	@Override
	public boolean isWritable(int arg0) throws SQLException {
		if (debug) throw new NoSuchMethodError("Method in ResultSetMetaData not Implemented");
		return false;
	}

}
