package ch.dieseite.sqlite3.jdbc;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

public class TestDemo {

	/**
	 * @param args
	 * @throws ClassNotFoundException 
	 * @throws SQLException 
	 */
	public static void main(String[] args) throws ClassNotFoundException, SQLException 
	{

		//be shure you already created a database and a table
		//(run main routine of SmallSQLiteWrapper.java)
		String filename = "./testdb";

		//-------------init------------------
		Class.forName("ch.dieseite.sqlite3.jdbc.DriverImpl");
		Connection	conn = DriverManager.getConnection("jdbc:sqlite:"+filename);
		conn.setAutoCommit(false); //set transaction manual -> must commit each sql-statement

		//-----------write a record----------------
		PreparedStatement prep = conn.prepareStatement("INSERT INTO TestTab VALUES (?,?);");
		prep.setString(2, "JDBC record");
		
		prep.addBatch();
		try {prep.executeBatch();
		}catch (SQLException ex) {
			conn.rollback();}
		prep.close();
	    conn.commit();
	    
	    //---------read records	-----------------
		Statement statement = conn.createStatement();
		ResultSet rs = statement.executeQuery("SELECT * FROM TestTab;");

	    ResultSetMetaData rsmd = rs.getMetaData();
	    int numColumns = rsmd.getColumnCount();

	    // Get the column names; column indices start from 1
	    for (int i=1; i<numColumns+1; i++) {
	        String c = rsmd.getColumnName(i);
	        System.out.print(""+c+"\t\t|");
	    }
		System.out.print("\n");
		//get datas
	    while (rs.next()) {
	    	for (int j=1; j<numColumns+1; j++) {
	    		String val = rs.getString(j);
		        System.out.print(""+val+"\t\t|");
		    }
	    	System.out.print("\n");
	    }
	    
		rs.close();
		statement.close();    
		conn.commit();
 	    
		//------------uninit--------------
		conn.close();


	}

}
